import requests
import os
from bs4 import BeautifulSoup

folder_path = "transcripts"

if not os.path.exists(folder_path):
    os.makedirs(folder_path)

for i in range(1, 139):
    url = f"https://darknetdiaries.com/transcript/{i}"
    r = requests.get(url)
    soup = BeautifulSoup(r.text, 'html.parser')

    transcript = soup.find('pre').get_text()
    title_section = soup.find('h1').get_text()

    url = f"https://darknetdiaries.com/episode/{i}"
    r = requests.get(url)
    soup = BeautifulSoup(r.text, 'html.parser')
    downloads = soup.find(id='downloads').get_text()

    ep, title = title_section.split(":", 1)
    ep = ep.strip()
    title = title.strip()
    with open(f"{folder_path}/episode_{i}.txt", "w") as f:
        f.write(f"{title}\n{downloads}\n{transcript}")
    print(f"{ep} {title}")
